<?php
include "core.php";
$id = $_REQUEST['id'] ? $_REQUEST['id'] : $_REQUEST['identifier'];
if ( !isset( $saxuePlugin[$id] ) || !$saxuePlugin[$id]['status'] ) {
		saxue_printfail( '插件不存在或已关闭' );
}
$do = trim( $_REQUEST['do'] );
if ( empty( $do ) || !file_exists( SAXUE_WEB_PATH . $saxuePlugin[$id]['path'] . '/' . $do . '.php' ) ) {
		saxue_printfail( '插件参数错误' );
}
include "header.php";
$plugin = $saxuePlugin[$id];
$saxue_thisurl = saxue_addurlvars( array( 'id' => $id ), false );
$saxueTpl -> assign( "saxue_thisurl", $saxue_thisurl );
$saxueTpl -> assign( "id", $id );
$saxueTpl -> assign( "plugin", $plugin );
define( "SAXUE_PLUGIN_PATH", SAXUE_WEB_PATH . $plugin['path'] );
include SAXUE_PLUGIN_PATH . '/' . $do . '.php';
include "footer.php";